Get recurrence collection
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"aditional_info": "",
"amount": {
"amount": 0,
"currency": ""
},
"attempts": [
{
"collection_id": "019f2433-fc72-3f85-4243-ee8a04846235",
"collection_timestamp": "2026-07-02T19:00:14.578179Z",
"due_date": "2026-07-02T19:00:14.578180Z",
"end_to_end_id": "E123123124120510240124BJJHBVGHBJGHBJHKNJ",
"external_id": "external id 1",
"id": "019f2433-fc72-50b3-c501-9c1409a26115",
"inserted_at": "2026-07-02T19:00:14.578180Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.578173Z",
"transaction_date": "2026-07-02T19:00:14.578179Z",
"txid": "1276T31G7T623GTYU123GJTY123JGTY",
"type": "type",
"updated_at": "2026-07-02T19:00:14.578180Z"
}
],
"bank_account_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"company_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"counterparty_info_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"entity_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"final_date": "",
"id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"inserted_at": "",
"next_working_day": "",
"org_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"recurrence_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"recurrence_timestamp": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"stages": [
{
"amount": {
"amount": 1000,
"currency": "BRL"
},
"bank_account_id": "019f2433-fda5-88a0-278d-ead80d2187ab",
"cancelation_code": "cancelation code",
"cancelation_description": "Cancelation description",
"cancelation_origin": "cancelation origin",
"collection_id": "019f2433-fda5-a631-5f5e-3f9268f49965",
"collection_timestamp": "2026-07-02T19:00:14.885672Z",
"id": "019f2433-fda5-1afd-707b-c8f8501fc9e9",
"inserted_at": "2026-07-02T19:00:14.885674Z",
"next_working_day": true,
"rejection_code": "rejection code",
"rejection_description": "Rejection description",
"requester_tax_number": "12345678901",
"status": "created",
"timestamp": "2026-07-02T19:00:14.885662Z",
"transaction_date": "2026-07-02T19:00:14.885673Z",
"updated_at": "2026-07-02T19:00:14.885680Z",
"virtual_account_id": "019f2433-fda5-8683-b056-f7cb2696a08f"
}
],
"status": "created",
"timestamp": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"transaction_date": "",
"txid": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"updated_at": "",
"virtual_account_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Recurrences (Pix)
Get Collection
Get recurrence collection
GET
/
banking
/
cashin
/
pix
/
recurrences
/
collections
/
{id}
Get recurrence collection
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Collection ID Unique identifier
Query Parameters
Entity Id Unique identifier
Bank Account Id Unique identifier
Virtual account Id Unique identifier
Load stages?
Load attempts?
Response
Collection
Recurrence collection response with stages and attempts
A recurrence collection with stages
Show child attributes
Show child attributes
⌘I

